### Method

# Shell App get_windows

#### Declaration [src]

    GSList*
    shell_app_get_windows (
      ShellApp* app
    )

#### Description [src]

Get the windows which are associated with this application. The returned list will be sorted first by whether they’re on the active workspace, then by whether they’re visible, and finally by the time the user last interacted with them.

#### Return value

Type: A list of `None`

List of windows.

The caller of the method takes ownership of the returned data container, but not the data inside it.